#!/bin/bash
cur_date="`date +%Y-%m-%d`"
version=1.0.0
ROOT=$(cd `dirname $0`; pwd)
echo $ROOT

SRC_JAR_NAME=java-tsdb-hf-stck
DST_DIR_NAME=java-tsdb-hf-stck-demo

mkdir -p $ROOT/release/$DST_DIR_NAME
rm -rf $ROOT/release/$DST_DIR_NAME/*

mkdir -p $ROOT/release/$DST_DIR_NAME/log
mkdir -p $ROOT/release/$DST_DIR_NAME/lib

cp -rf $ROOT/target/$SRC_JAR_NAME-1.0-SNAPSHOT.jar $ROOT/release/$DST_DIR_NAME/lib/dbapi.jar
cp -rf $ROOT/pomDemoProject.xml $ROOT/release/$DST_DIR_NAME/pom.xml

mkdir -p $ROOT/release/$DST_DIR_NAME/src
cp -rf $ROOT/src/test $ROOT/release/$DST_DIR_NAME/src/
cp -rf $ROOT/README.md $ROOT/release/$DST_DIR_NAME/README.md

cd $ROOT/release/
tar -zcf $ROOT/release/$DST_DIR_NAME-v${version}-${cur_date}.tar.gz $DST_DIR_NAME

echo "打包成功"
